### Method

# Adw PreferencesPage insert

since: 1.8

#### Declaration [src]

    void
    adw_preferences_page_insert (
      AdwPreferencesPage* self,
      AdwPreferencesGroup* group,
      int index
    )

#### Description [src]

Inserts a preferences group to `self` at `index`.

If `index` is negative or larger than the number of groups, appends the group, same as `adw_preferences_page_add()`.

Available since: 1.8

#### Parameters

`group`

  Type: `AdwPreferencesGroup`

  The group to add.

  The data is owned by the caller of the method.

`index`

  Type: `int`

  The index to insert `group` a.